Bug 740542 - rhnpush for solaris (mpm) package fails with ISE
Summary: rhnpush for solaris (mpm) package fails with ISE
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Spacewalk
Classification: Community
Component: Server
Version: 1.6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michael Mráka
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks: space16
TreeView+ depends on / blocked
 
Reported: 2011-09-22 12:20 UTC by Jiří Mikulka
Modified: 2014-10-06 13:46 UTC (History)
1 user (show)

Fixed In Version: spacewalk-backend-1.6.24-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-22 16:49:31 UTC


Attachments (Terms of Use)

Comment 1 Jiří Mikulka 2011-09-22 12:28:35 UTC
Description of problem:
On Spacewalk 1.6 nightly uploading solaris mpm package using rhnpush fails with 500 Internal Server Error.

Version-Release number of selected component (if applicable):
RHEL 5.7 Server i686
$ rpm -q spacewalk-backend
spacewalk-backend-1.6.20-1.el5
$ rpm -q rhnpush
rhnpush-5.5.32-1.el5

How reproducible:
always

Steps to Reproduce:
1. create sparc sun solaris channel
2. push mpm packages to this channel using rhnpush
$ rhnpush -u [username] -p [password] --server=https://[hostname]/APP -c [channel] -d [directory with mpm packages]
3. check output

Actual results:
Giving up after 3 attempts
Internal server error 500 Internal Server Error
Internal server error 500 Internal Server Error
Internal server error 500 Internal Server Error

Expected results:
mpm packages are pushed to the sparc channel correctly

Comment 4 Jiří Mikulka 2011-09-22 12:46:08 UTC
Tested on Spacewalk 1.6 nightly on RHEL5 Server with OracleXE and PostgreSQL and only on OracleXE this problem occurs.

Comment 5 Michael Mráka 2011-09-30 14:37:15 UTC
Fixed in spacewalk master by

commit 07580324c3aa58ba609492236bef65c436ffe1e9
    740542 - don't use executemany for queries with blobs

Comment 6 Milan Zázrivec 2011-12-22 16:49:31 UTC
Spacewalk 1.6 has been released.


Note You need to log in before you can comment on or make changes to this bug.